<?php
/*
 * $Id: server_manager_setup.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 *
 * Server Manager by ADCOOP
 * http://www.adcoop.co.jp/
 * Copyright(c) 2008 Ad Coop Kansai Inc. All Rights Reserved.
 */
// Set application root directory
define('SERVER_MANAGER_ROOT_DIR','/home/server_manager_std/');
// Set application directory
define('SERVER_MANAGER_DIR', SERVER_MANAGER_ROOT_DIR . 'public_html/');
// PEAR DB
require('DB.php'); 
require(SERVER_MANAGER_DIR . 'libs/sql.lib.php');

// database configuration
class ServerManager_SQL extends SQL {
    function ServerManager_SQL() {
        // dbtype://user:pass@host/dbname
        $dsn = "pgsql://nobody@localhost:5432/server_manager_std";
        $this->connect($dsn);
    }
}
// Recipient address of regular time report mail and warning  mail.
define('SEND_MAIL_ADDRESS',"your_address@your_address_domain");
// Addressor of application
define('FROM_ADDRESS',"server_manager_std@your_domain");
// Subject of application
define('FROM_SENDER',"Server Manager Standard");
// Reception address
define('TO_ADDRESS',"server_manager_std@[192.168.1.1]");
// Set our session name
define('SERVER_MANAGER_SES_NAME','ServerManagerSTD');
// Set our html title
define('SERVER_MANAGER_TITLE_NAME','Server Manager Standard');
// Set our application xslt directory
define('SERVER_MANAGER_XSL_DIR', SERVER_MANAGER_DIR . 'xslt/');
// Set our application css directory
define('SERVER_MANAGER_CSS_DIR', SERVER_MANAGER_DIR . 'css/');
// Set our ftp server address
define("FTP_SERVER","127.0.0.1");
// Set our ftp account
define("FTP_USER_NAME","server_manager_std");
define("FTP_USER_PASS","password");
// Set our ftp directory
define("REMOTE_DIR", SERVER_MANAGER_ROOT_DIR . 'docs/');
// Set our file lock directory
define("FLOCK_DIR", SERVER_MANAGER_ROOT_DIR . 'lock/');


// File compression function
function gzip($in, $out, $param="1"){
  if (!file_exists ($in) || !is_readable ($in)){
    return false;
  }
  if ((!file_exists ($out) && !is_writable (dirname ($out)) || (file_exists($out) && !is_writable($out)) )){
    return false;
  }
  $in_file = fopen ($in, "rb");
  if (!$out_file = gzopen ($out, "wb".$param)) {
    return false;
  }
  while (!feof ($in_file)) {
    $buffer = fgets ($in_file, 4096);
    gzwrite ($out_file, $buffer, 4096);
  }
  fclose ($in_file);
  gzclose ($out_file);
  return true;
}
function zipC($in, $out, $password, $param="1"){
  if($password == ""){
    return false;
  }
  if (!file_exists ($in) || !is_readable ($in)){
    return false;
  }
  if ((!file_exists ($out) && !is_writable (dirname ($out)) || (file_exists($out) && !is_writable($out)) )){
    return false;
  }
  chdir("/tmp");
  $ll = system("/usr/bin/zip -q -P $password -e -j -$param -m $out $in > /dev/null",$ret);
  if($ll === false){
    return false;
  }
  return true;
}
// File decompression function
function gunzip ($in, $out){
  if (!file_exists ($in) || !is_readable ($in)){
    return false;
  }
  if ((!file_exists ($out) && !is_writable (dirname ($out)) || (file_exists($out) && !is_writable($out)) )){
    return false;
  }
  $in_file = gzopen ($in, "rb");
  $out_file = fopen ($out, "wb");
  while (!gzeof ($in_file)) {
    $buffer = gzread ($in_file, 4096);
    fwrite ($out_file, $buffer, 4096);
  }
  gzclose ($in_file);
  fclose ($out_file);
  return true;
} 

?>
