<?php
/*
 * $Id: living_mail.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// date
$rcv_date = $_SESSION[SERVER_MANAGER_SES_NAME]["rcv_date"]; 

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
        <script language="JavaScript">
          <![CDATA[
          <!--
          function mail_open(intCD,strDT) {
            var strUrl = "";
            var strWindowPrm = "";
            var strPath = "";
            strWindowPrm = "toolbar=no,location=no,directories=no,status=yes,scrollbars=yes,menubar=no,top=100,left=100,width=700,height=750";
            strPath = "./libs/mailview.php";
            strUrl = strPath + "?sirial=" + intCD + "&rcv_date=" + encodeURI(strDT) + "&mode=lvm";
            m_objWindow = window.open(strUrl, 'mail', strWindowPrm);
            m_objWindow.focus();
          } 
          function return_setDate() {
            var objElement = document.getElementsByTagName("FORM")[0];
            objElement.action = "index.php";
            objElement.method = "post";
            objElement.status.value = "set_date";
            objElement.submit();
          }
          //-->
          ]]>
        </script>
      </head>
      <body class="fontS">
        <form action="index.php" method="post">
          <table border="1" class="list">
            <tr>
              <th colspan="4" align="left" bgcolor="#d1d1d1">Server Entries for Living Mail Report
                [reg_date:<?php echo $rcv_date; ?>]
                <input type="hidden" name="rcv_date" value="<?php echo $rcv_date; ?>" />
                <input type="hidden" name="status" />
                <input type="button" value="return to set date" onclick="return_setDate()" />
              </th>
            </tr>
            <tr class="midasi">
                <td>mbody</td>
                <td>ServerName</td>
                <td>Subject</td>
                <td>RecievedTime</td>
            </tr>

            <xsl:choose>
              <xsl:when test="count(//Records) != 0">
                <xsl:apply-templates select="//Records" />
              </xsl:when>
              <xsl:otherwise>
                <td colspan="4">No record</td>
              </xsl:otherwise>
            </xsl:choose>

          </table>
        </form>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="//Records">
    <tr nowrap="nowrap">
      <td><a href="#" onclick="mail_open('{@srv_cd}','{rcv_date}');">view</a></td>
      <td>&nbsp;<xsl:value-of select="srv_name" /></td>
      <td>&nbsp;<xsl:value-of select="subject" /></td>
      <td>&nbsp;<xsl:value-of select="rcv_date" /></td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
