<?php
/*
 * $Id: main_menu.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontL">
        <table class="list" border="1">
          <tr height="20">
            <th class="midasi"><?php echo SERVER_MANAGER_TITLE_NAME; ?> Main Menu
            </th>
          </tr>
          <tr height="20">
            <td class="rec_0">
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="view_server" />
              <input type="submit" value="Server Entries" />
            </form>
            </td>
          </tr>
          <tr height="20">
            <td class="rec_0">
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="view_user_server" />
              <input type="submit" value="Server User Entries" />
            </form>
            </td>
          </tr>
          <tr height="20">
            <td class="rec_0">
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="set_date" />
              <input type="submit" value="Server Daily Logs" />
            </form>
            </td>
          </tr>
          <tr height="20">
            <td class="rec_0">
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="view_install_server" />
              <input type="submit" value="Server Install Logs" />
            </form>
            </td>
          </tr>
          <tr height="20">
            <td class="rec_0">
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="view_install_router" />
              <input type="submit" value="Router Install Logs" />
            </form>
            </td>
          </tr>
      <?php if($user_class > 2){ ?>
          <tr height="20">
            <td class="rec_0">
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="search_install_logs" />
              <input type="submit" value="Search Server Logs" />
            </form>
            </td>
          </tr>
      <?php } ?>
      <?php if($user_class > 8){ ?>
          <tr height="20">
            <td class="rec_0">
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="view_account" />
              <input type="submit" value="User Account" />
            </form>
            </td>
          </tr>
      <?php } ?>
        </table>
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="logout" />
              <input type="submit" value="logout" />
            </form>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
