<?php
/*
 * $Id: search_install_log_form.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];
// error messages
$error      = $_SESSION[SERVER_MANAGER_SES_NAME]["error"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontM">
      <?php if($user_class > 2){ ?>
        <form action="index.php" method="post">
          <table border="1">
            <?php if($error != ""){ ?>
            <tr>
              <td bgcolor="yellow" colspan="3">
              <?php if($error == "key_word"){ ?>
                You must supply a key word for search the install titles.
              <?php }elseif($error == "key_memo"){ ?>
                You must supply a key word for search the install memos.
              <?php }elseif($error == "n_key_word"){ ?>
                You must supply a key word search for the server logs.
              <?php } ?>
              </td>
            </tr>
            <?php } ?>
            <tr class="midasi">
              <th colspan="3">Set Key Word Search For Install Logs [<a href="index.php?status=view">return to main menu</a>]</th>
            </tr>
            <tr>
              <td width="200">Key_word for title:</td>
              <td><input type="text" name="key_word" value="{//Entry/key_word}" size="80" /></td>
              <td align="left">
                <input type="hidden" name="status" value="show_install_log_list" />
                <input type="submit" value="search" />
              </td>
            </tr>
          </table>
        </form>
        <form action="index.php" method="post">
          <table border="1">
            <tr>
              <td width="200">Key_word for memo:</td>
              <td><input type="text" name="key_memo" value="{//Entry/key_memo}" size="80" /></td>
              <td align="left">
                <input type="hidden" name="status" value="show_install_log_memo_list" />
                <input type="submit" value="search" />
              </td>
            </tr>
          </table>
        </form>

        <form action="index.php" method="post">
          <table border="1">
            <tr class="midasi">
              <th colspan="3">Set Key Word Search For Daily Logs</th>
            </tr>
            <tr>
              <td width="200">Key_word for logs:</td>
              <td>
                <input type="text" name="n_key_word" value="{//Entry/n_key_word}" size="80" /><br />
                <input type="radio" name="n_sea_opt" value="1" checked="checked" />LogWatch
                <input type="radio" name="n_sea_opt" value="2" />TripWire
                <input type="radio" name="n_sea_opt" value="3" />FreeMemo
                <input type="radio" name="n_sea_opt" value="0" />All<br />
                <select name="srv_cd">
                  <option value="" selected="selected">select server name</option>
                  <xsl:apply-templates select="//SrvSel" />
                </select>
              </td>
              <td align="left">
                <input type="hidden" name="status" value="show_server_log_new_list" />
                <input type="submit" value="search" />
              </td>
            </tr>
          </table>
        </form>

      <?php } ?>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="SrvSel">
    <option value="{@srv_cd}"><xsl:value-of select="srv_name" /></option>
  </xsl:template>
</xsl:stylesheet>
