<?php
/*
 * $Id: add_server_user_form.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// error messages
$error = $_SESSION[SERVER_MANAGER_SES_NAME]["error"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontS">
<?php
  require_once("server_info.php");
?>
        <form action="index.php" method="post">
          <table border="1">
            <?php if($error != ""){ ?>
            <tr>
              <td bgcolor="yellow" colspan="2">
              <?php if($error == "srv_usr"){ ?>
                You must supply a srv_usr.
              <?php }elseif($error == "srv_usr_pass"){ ?>
                You must supply a srv_usr_pass.
              <?php }elseif($error == "srv_usr_root"){ ?>
                You don't have permission supply a root account.
              <?php }elseif($error == "srv_usr_postgres"){ ?>
                You don't have permission supply a postgres account.
              <?php } ?>
              </td>
            </tr>
            <?php } ?>
            <tr>
              <td>srv_usr_cd:</td>
              <td><xsl:value-of select="//Entry/srv_usr_cd" /></td>
            </tr>
            <tr>
              <td>srv_usr:</td>
              <td><input type="text" name="srv_usr" value="{//Entry/srv_usr}" size="40" /></td>
            </tr>
            <tr>
              <td>srv_usr_pass:</td>
              <td><input type="text" name="srv_usr_pass" value="{//Entry/srv_usr_pass}" size="40" /></td>
            </tr>
            <tr>
              <td>srv_cd:</td>
              <td><xsl:value-of select="//SrvInfo/@srv_cd" /></td>
            </tr>
            <tr>
              <td>usr_cd:</td>
              <td><xsl:value-of select="//Entry/usr_cd" /></td>
            </tr>
            <tr>
              <td>last_date:</td>
              <td><xsl:value-of select="//Entry/last_date" /></td>
            </tr>
            <tr>
              <td colspan="2" align="center">
                <input type="hidden" name="status" value="submit_server_user" />
                <input type="hidden" name="srv_cd" value="{//SrvInfo/@srv_cd}" />
              <?php if($_SESSION[SERVER_MANAGER_SES_NAME]["user_class"] > 3){ ?>
                <input type="submit" value="Submit" />
              <?php } ?>
              </td>
            </tr>
          </table>
        </form>
        <table border="1">
          <tr>
            <td colspan="2" align="center">
              <form action="index.php" method="get">
                <input type="hidden" name="status" value="view_server_users" />
                <input type="hidden" name="srv_cd" value="{//SrvInfo/@srv_cd}" />
                <input type="submit" value="Back" />
              </form>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
