<?php
/*
 * $Id: daily_cronbook.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// date
$reg_date_c  = $_SESSION[SERVER_MANAGER_SES_NAME]["reg_date_c"];
// search words
$search_word = $_SESSION[SERVER_MANAGER_SES_NAME]["search_word"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
        <script language="JavaScript">
          <![CDATA[
          <!--
          function mail_open(intCD) {
            var strUrl = "";
            var strWindowPrm = "";
            var strPath = "";
            strWindowPrm = "toolbar=no,location=no,directories=no,status=yes,scrollbars=yes,menubar=no,top=100,left=100,width=700,height=750";
            strPath = "./libs/mailview.php";
            strUrl = strPath + "?sirial=" + intCD + "&mode=C";
            m_objWindow = window.open(strUrl, 'mail', strWindowPrm);
            m_objWindow.focus();
          }
          function mail_search(intF) {
            var objElement = document.getElementsByTagName("FORM")[0];
            if(intF == 1){
              objElement.status.value = "view_daily_cron_fillter";
              objElement.action = "index.php";
              objElement.method = "post";
              objElement.submit();
            }else{
              objElement.status.value = "view_daily_cron";
              objElement.search_word.value = "";
              objElement.action = "index.php";
              objElement.method = "post";
              objElement.submit();
            }
          }
          function memo_open(intCD) {
            var strUrl = "";
            var strWindowPrm = "";
            var strPath = "";
            strWindowPrm = "toolbar=no,location=no,directories=no,status=yes,scrollbars=no,menubar=no,top=100,left=100,width=700,height=750";
            strPath = "./libs/memoview.php";
            strUrl = strPath + "?sirial=" + intCD + "&mode=C&regdate=<?php echo $reg_date_c; ?>";
            m_objWindow = window.open(strUrl, 'mail', strWindowPrm);
            m_objWindow.focus();
          } 
          function m_reload() {
            var objElement = document.getElementsByTagName("FORM")[0];
            objElement.status.value = "view_daily_cron_fillter";
            objElement.action = "index.php";
            objElement.method = "post";
            objElement.submit();
          }
          function return_setDate() {
            var objElement = document.getElementsByTagName("FORM")[0];
            objElement.action = "index.php";
            objElement.method = "post";
            objElement.status.value = "set_date";
            objElement.submit();
          }
          //-->
          ]]>
        </script>
      </head>
      <body class="fontS">
        <form action="index.php" method="post">
          <table border="1" class="list">
            <tr>
              <th colspan="12" align="left" bgcolor="#d1d1d1">Server Entries for Daily Cron Logs
                [reg_date:<?php echo $_SESSION[SERVER_MANAGER_SES_NAME]["reg_date_c"]; ?>]
                <input type="hidden" name="reg_date_c" value="<?php echo $reg_date_c; ?>" />
                <input type="button" value="return to set date" onclick="return_setDate()" />
              </th>
            </tr>
            <tr>
              <td colspan="4">&nbsp;Search for mail body:
                <input type="text" name="search_word" size="60" value="<?php echo $search_word; ?>" />
                <input type="hidden" name="status" value="view_daily_cron_fillter" />
                <input type="hidden" name="reg_date_c" value="<?php echo $reg_date_c; ?>" />
                <input type="button" onclick="mail_search(1);" value="絞込" />
                <input type="button" onclick="mail_search(0);" value="解除" />
              </td>
            </tr>
            <tr class="midasi">
                <td>No.</td>
                <td>Memo</td>
                <td>ServerName</td>
                <td>Subject</td>
            </tr>

            <xsl:choose>
              <xsl:when test="count(//@sirial) != 0">
                <xsl:apply-templates select="//Records" />
              </xsl:when>
              <xsl:otherwise>
                <td colspan="13">No record</td>
              </xsl:otherwise>
            </xsl:choose>

          </table>
        </form>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="//Records">
    <xsl:variable name="serial" select="@sirial" />
    <tr nowrap="nowrap">
    <xsl:choose>
      <xsl:when test="sirial = ''">
        <xsl:attribute name="class">rec_s1</xsl:attribute>
      </xsl:when>
      <xsl:when test="position() mod 2 = 0">
        <xsl:attribute name="class">rec_2</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="class">rec_1</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>
      <td align="right">
        <xsl:if test="memo_cd != ''">
          <xsl:attribute name="style">font-weight:bold;</xsl:attribute>
        </xsl:if>
        <span onclick="mail_open({$serial});" style="text-decoration:underline;color:blue;cursor:hand;">
          <xsl:value-of select="@sirial" />
        </span>
      </td>
      <td>
        <input type="button" onclick="memo_open({$serial});">
          <xsl:choose>
            <xsl:when test="memo_cd != ''">
              <xsl:attribute name="value">編集</xsl:attribute>
              <xsl:attribute name="style">background-color:#8FBC8F</xsl:attribute>
            </xsl:when>
            <xsl:otherwise>
              <xsl:attribute name="value">登録</xsl:attribute>
            </xsl:otherwise>
          </xsl:choose>
        </input>
      </td>
      <td>&nbsp;<xsl:value-of select="srv_name" /></td>
      <td>&nbsp;<xsl:value-of select="subject" /></td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
