<?php
/*
 * $Id: install_router_logs.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];
// error messages
$error      = $_SESSION[SERVER_MANAGER_SES_NAME]["error"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>'."\n";
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
        <script language="JavaScript">
          <![CDATA[
          <!--
            function dataAdd(){
              var objElement = document.getElementsByTagName("FORM")[0];
              if(document.getElementById("attache_file").value == ""){
                alert("You must choose upload file.");
                document.getElementById("attache_file").focus();
                return;
              }
              if(document.getElementById("memo").value==""){
                alert("You must input memo.");
                document.getElementById("memo").focus();
                return;
              }
              if (!confirm("Do you save it?")) {
                return;
              }
              objElement.action = "index.php";
              objElement.method = "post";
              objElement.status.value = "submit_router_install_log";
              objElement.submit();
            }
            function dataEdit(intNo){
              var objElement = document.getElementsByTagName("FORM")[0];
              if(document.getElementById("attache_file").value != ""){
                if(!confirm("Do you replace it?")){
                  return;
                }
              }
              if(document.getElementById("memo").value==""){
                alert("You must input memo.");
                document.getElementById("memo").focus();
                return;
              }
              if (!confirm("Do you really update it？")) {
                return;
              }
              objElement.action = "index.php";
              objElement.method = "post";
              objElement.serial.value = intNo;
              objElement.status.value = "confirm_router_install_log";
              objElement.submit();
            }
            function edit_row(intNo){
              var objElement = document.getElementsByTagName("FORM")[0];
              if(document.getElementById("lock"+intNo).value == 't'){
                alert("You can not edit it, it is locked.");
                return;
              }
              objElement.action = "index.php";
              objElement.method = "post";
              objElement.serial.value = intNo;
              objElement.status.value = "edit_router_install_log";
              objElement.submit();
            }
            function delete_row(intNo){
              var objElement = document.getElementsByTagName("FORM")[0];
              if(document.getElementById("lock"+intNo).value == 't'){
                alert("It can not be removed, it is locked.");
                return;
              }
              if(!confirm("Do you really remove it?")){
                return;
              }
              objElement.action = "index.php";
              objElement.method = "post";
              objElement.serial.value = intNo;
              objElement.status.value = "delete_router_install_log";
              objElement.submit();
            }

            function lockst(){
              var objElement = document.getElementsByTagName("FORM")[0];
              objElement.action = "index.php";
              objElement.method = "post";
              objElement.status.value = "lock_router_install_logs";
              objElement.submit();
            }
          -->
          ]]>
        </script>
      </head>
      <body class="fontS">
      <form name="data" enctype="multipart/form-data">
        <input type="hidden" name="serial" value="" />
        <input type="hidden" name="status" value="" />
        <input type="hidden" name="srv_cd" value="{//Get/srv_cd}" />
<?php
    require_once("server_info.php");
?>
        <table border="1" class="list">
          <tr>
            <th colspan="7" class="midasi">Router Install Logs
              [<a href="index.php?status=view_install_router">return to Router Entries for Install Logs</a>]
            </th>
          </tr>
          <?php if($_SESSION[SERVER_MANAGER_SES_NAME]["router"]["mode"] == "edit"){ ?>
            <?php if($user_class > 2){ ?>
            <tr>
              <th colspan="7" class="midasi">
                Edit Install Logs<br />
                NewFile.<input type="file" size="50" id="attache_file" name="attache_file" /> ( OldFile.<a href="./libs/data_read.php?status=file_download&amp;serial={//Data/@serial}&amp;srv_cd={//Get/srv_cd}"><xsl:value-of select="//Data/fname" /></a> )<br />
                Memo.　 <input type="text" size="70" id="memo" name="memo" value="{//Data/memo}" />
                <input type="button" onclick="dataEdit('{//Data/@serial}');" value="update" /> 
                <input type="button" onclick="document.location.href='index.php?status=view_router_logs&amp;srv_cd={//Get/srv_cd}';" value="cancel" />
              </th>
            </tr>
            <?php } ?>
          <?php }else{ ?>
            <?php if($user_class > 2){ ?>
            <tr>
              <th colspan="7" class="midasi">
                Add New Install Logs<br />
                File. 　<input type="file" size="50" id="attache_file" name="attache_file" /><br />
                Memo.<input type="text" size="70" id="memo" name="memo" value="" />
                <input type="button" onclick="dataAdd();" value="add" />
              </th>
            </tr>
            <?php } ?>
          <?php } ?>
          <?php if($error != ""){ ?>
            <tr>
              <td bgcolor="yellow" colspan="7">
              <?php
              print $error;
              ?>
              </td>
            </tr>
          <?php } ?>
          <tr class="rec_2">
            <td width="5%">
              <?php if($user_class > 2){ ?>
              <input type="button" onclick="lockst();" value="lock" />
              <?php }else{ ?>
              lock
              <?php } ?>
            </td>
            <td width="5%">serial</td>
            <td width="25%">fname</td>
            <td width="40%">memo</td>
            <td width="20%">reg_date</td>
            <td width="5%">usr_cd</td>
            <td width="10%">&nbsp;</td>
          </tr>
          <xsl:choose>
            <xsl:when test="count(//Records/@srv_cd) != 0">
              <xsl:apply-templates select="//Records" />
            </xsl:when>
            <xsl:otherwise>
              <td colspan="7">No record</td>
            </xsl:otherwise>
          </xsl:choose>
        </table>
      </form>
      </body>
    </html>
  </xsl:template>
  <xsl:template match="Records">
    <xsl:variable name="srv_cd" select="@srv_cd" />
    <tr nowrap="nowrap">
    <xsl:choose>
      <xsl:when test="position() mod 2 = 0">
        <xsl:attribute name="class">rec_2</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="class">rec_1</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>
      <td>
        <input type="checkbox" id="lock_flag[{serial}]" name="lock_flag[]" value="{serial}">
          <xsl:if test="lock_flag = 't'">
            <xsl:attribute name="checked">checked</xsl:attribute>
          </xsl:if>
        </input>
        <input type="hidden" id="lock{serial}" name="lock{serial}" value="{lock_flag}" />
      </td>
      <td><a href="./libs/data_read.php?status=file_download&amp;serial={serial}&amp;srv_cd={@srv_cd}"><xsl:value-of select="serial" /></a></td>
      <td>&nbsp;<xsl:value-of select="fname" /></td>
      <td>&nbsp;<xsl:value-of select="memo" /></td>
      <td>&nbsp;<xsl:value-of select="reg_date" /></td>
      <td>&nbsp;<xsl:value-of select="usr_cd" /></td>
      <td>
        <input type="button" value="edit" onclick="edit_row('{serial}');" />
        <input type="button" value="del" onclick="delete_row('{serial}');" />
      </td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
