<?php
/*
 * $Id: search_new_server_log_form.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontS">
      <?php if($user_class > 2){ ?>
        <form action="index.php" method="post">
          <table border="1" class="list">
            <tr>
              <td>title:</td>
              <td><xsl:value-of select="//Records/subject" /></td>
              <td>rcv_date:</td>
              <td><xsl:value-of select="//Records/rcv_date" /></td>
            </tr>
            <tr>
              <td colspan="2" align="center">mail_log<br />
                <textarea name="mail_log" cols="80" rows="35"><xsl:value-of select="//Records/mail_log" /></textarea>
              </td>
              <td colspan="2" align="center">free_memo<br />
                <textarea name="free_memo" cols="60" rows="35"><xsl:value-of select="//Records/free_memo" /></textarea>
              </td>
            </tr>
            <tr>
              <td colspan="4" align="center">
                <input type="hidden" name="status" value="show_server_log_new_list" />
                <input type="hidden" name="n_sea_opt" value="{//Entry/n_sea_opt}" />
                <input type="hidden" name="n_key_word" value="{//Entry/n_key_word}" />
                <input type="hidden" name="srv_cd" value="{//Entry/srv_cd}" />
                <input type="submit" value="return" />
              </td>
            </tr>
          </table>
        </form>
      <?php } ?>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
