<?php
/*
 * $Id: server_user_list.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// class
$user_class = $_SESSION[SERVER_MANAGER_SES_NAME]["user_class"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
      </head>
      <body class="fontS">
<?php
  require_once("server_info.php");
?>
      <table border="1" class="list">
        <tr class="midasi">
        <td>
        <table border="0">
          <tr class="midasi">
            <th>Server Users
            </th>
            <th>
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="view_user_server" />
              <input type="submit" value="return to Entries for Server Users" />
            </form>
            </th>
            <?php if($user_class > 8){ ?>
            <th>
            <form action="index.php" method="post">
              <input type="hidden" name="status" value="add_server_user" />
              <input type="hidden" name="srv_cd" value="{//Entry/srv_cd}" />
              <input type="submit" value="add new server user" />
            </form>
            </th>
            <?php } ?>
          </tr>
        </table>
        </td></tr>
        <tr><td>
      <form action="index.php" method="post">
        <input type="hidden" name="status" value="lock_server_user" />
        <input type="hidden" name="srv_cd" value="{//Entry/srv_cd}" />
        <table border="1" class="list">
          <tr class="rec_0">
            <td><?php if($user_class > 8){ ?>
              <input type="submit" value="lock" />
                <?php }else{ ?>
                lock
                <?php } ?>
            </td>
            <td>srv_usr_cd</td>
            <td>srv_usr</td>
            <td>srv_usr_pass</td>
            <td>srv_cd</td>
            <td>usr_cd</td>
            <td>last_date</td>
          </tr>
          <xsl:choose>
            <xsl:when test="count(//Records/@srv_usr_cd) != 0">
              <xsl:apply-templates select="//Records" />
            </xsl:when>
            <xsl:otherwise>
              <td colspan="7">No record</td>
            </xsl:otherwise>
          </xsl:choose>
        </table>
      </form>
      </td>
      </tr>
    </table>
    </body>
  </html>
  </xsl:template>
  <xsl:template match="Records">
    <tr nowrap="nowrap">
    <xsl:choose>
      <xsl:when test="position() mod 2 = 0">
        <xsl:attribute name="class">rec_2</xsl:attribute>
      </xsl:when>
      <xsl:otherwise>
        <xsl:attribute name="class">rec_1</xsl:attribute>
      </xsl:otherwise>
    </xsl:choose>
      <td width="5%">
        <input type="checkbox" name="lock_flag[]" value="{@srv_usr_cd}">
          <xsl:if test="lock_flag = 't'">
            <xsl:attribute name="checked">checked</xsl:attribute>
          </xsl:if>
        </input>
      </td>
    <?php if($user_class > 8){ ?>
      <td width="10%" align="right"><a href="index.php?status=edit_server_user&amp;srv_usr_cd={@srv_usr_cd}"><xsl:value-of select="@srv_usr_cd" /></a></td>
    <?php } else { ?>
      <td width="10%" align="right"><xsl:value-of select="@srv_usr_cd" /></td>
    <?php } ?>
      <td>&nbsp;<xsl:value-of select="srv_usr" /></td>
      <td>&nbsp;<xsl:value-of select="srv_usr_pass" /></td>
      <td>&nbsp;<xsl:value-of select="srv_cd" /></td>
      <td>&nbsp;<xsl:value-of select="usr_cd" /></td>
      <td>&nbsp;<xsl:value-of select="last_date" /></td>
    </tr>
  </xsl:template>
</xsl:stylesheet>
