<?php
/*
 * $Id: set_date_form.php,v 1.1.1.1 2008/06/11 02:14:11 ikuma Exp $
 */

// include the setup script
include('../libs/server_manager.lib.php');
//start the session
session_name(SERVER_MANAGER_SES_NAME);
session_cache_limiter('nocache');
session_start();
// check the session
if($_SESSION[SERVER_MANAGER_SES_NAME]['usr_cd'] == ""){
  header("Content-type: text/plain; charset=UTF-8");
  print "Your access denied.";
  exit;
}
// error messages
$error      = $_SESSION[SERVER_MANAGER_SES_NAME]["error"];

header("Content-type: application/xml");
print '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;" >]>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lxslt="http://xml.apache.org/xslt" version="1.0">
  <xsl:template match="/">
    <html>
      <head>
        <title><xsl:value-of select="//Header/@title" /></title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta http-equiv="pragma" content="no-cache" />
        <meta http-equiv="cache-control" content="no-cache" />
        <meta equiv="expires" content="0" />
        <link href="css/servermanager.css" type="text/css" rel="stylesheet" />
        <script language="JavaScript">
          <![CDATA[
          <!--
          function dtchk(strObj) {
            if (document.getElementById(strObj).value == ""){
              alert("check date");
              document.getElementById(strObj).focus();
              return;
            }
            if (!document.getElementById(strObj).value.match("[1-2][0-9][0-9][0-9][-][0-1][0-9][-][0-3][0-9]")){
              alert("date format is YYYY-MM-DD")
              document.getElementById(strObj).focus();
              return false;
            }
          }
          function rdtchk(strObj) {
            if (document.getElementById(strObj).value == ""){
              alert("check date");
              document.getElementById(strObj).focus();
              return;
            }
            if (!document.getElementById(strObj).value.match("[1-2][0-9][0-9][0-9][-][0-1][0-9][-][0-3][0-9][%]") &&
                !document.getElementById(strObj).value.match("[1-2][0-9][0-9][0-9][-][0-1][0-9][-][0-3][0-9][ ][0-2][0-9][%]")
            ){
              alert("date format is [YYYY-MM-DD%]or[YYYY-MM-DD HH%]")
              document.getElementById(strObj).focus();
              return false;
            }
          }
          -->
          ]]>
        </script>
      </head>
      <body class="fontM">

      <form action="index.php" method="get">
      <table border="1">
      <tr>
        <th class="midasi">
        Server Daily Logs
        </th>
        <th class="midasi">
        <input type="hidden" name="status" value="view" />
        <input type="submit" value="return to main menu" />
        </th>
      </tr>
      </table>
      </form>

        <form action="index.php" method="post">
          <table border="1">
          <?php
            if($error != ""){
          ?>
            <tr>
              <td class="errmsg" colspan="3">
                <?php if($error == "reg_date_t"){ echo "You must supply a reg_date."; } ?>
              </td>
            </tr>
          <?php
            }
          ?>
            <tr>
              <th colspan="3" class="midasi">Set Date For TripWire Daily Logs</th>
            </tr>
            <tr>
              <td>reg_date:</td>
              <td>
                <input type="text" id="reg_date_t" name="reg_date_t" size="40" onblur="dtchk('reg_date_t');">
                  <xsl:attribute name="value">
                    <xsl:value-of select="ServerManager/Header/today"/>
                  </xsl:attribute>
                </input>
              </td>
              <td align="left">
                <input type="hidden" name="status" value="view_daily_tripwire" />
                <input type="submit" value="Submit" />
              </td>
            </tr>
          </table>
        </form>

        <form action="index.php" method="post">
          <table border="1">
          <?php
            if($error != ""){
          ?>
            <tr>
              <td class="errmsg" colspan="3">
                <?php if($error == "reg_date_l"){ echo "You must supply a reg_date."; } ?>
              </td>
            </tr>
          <?php
            }
          ?>
            <tr>
                <th colspan="3" class="midasi">Set Date For LogWatch Daily Logs</th>
            </tr>
            <tr>
              <td>reg_date:</td>
              <td>
                <input type="text" id="reg_date_l" name="reg_date_l" size="40" onblur="dtchk('reg_date_l');">
                  <xsl:attribute name="value">
                    <xsl:value-of select="ServerManager/Header/today"/>
                  </xsl:attribute>
                </input>
              </td>
              <td align="left">
                <input type="hidden" name="status" value="view_daily_logwatch" />
                <input type="submit" value="Submit" />
              </td>
            </tr>
          </table>
        </form>

        <form action="index.php" method="post">
          <table border="1">
          <?php
            if($error != ""){
          ?>
            <tr>
              <td class="errmsg" colspan="3">
                <?php if($error == "reg_date_c"){ echo "You must supply a reg_date."; } ?>
              </td>
            </tr>
          <?php
            }
          ?>
            <tr>
              <th colspan="3" class="midasi">Set Date For Cron Daily Logs</th>
            </tr>
            <tr>
              <td>reg_date:</td>
              <td>
                <input type="text" id="reg_date_c" name="reg_date_c" size="40" onblur="dtchk('reg_date_c');">
                  <xsl:attribute name="value">
                    <xsl:value-of select="ServerManager/Header/today"/>
                  </xsl:attribute>
                </input>
              </td>
              <td align="left">
                <input type="hidden" name="status" value="view_daily_cron" />
                <input type="submit" value="Submit" />
              </td>
            </tr>
          </table>
        </form>

        <form action="index.php" method="post">
          <table border="1">
          <?php
            if($error != ""){
          ?>
            <tr>
              <td class="errmsg" colspan="3">
                <?php if($error == "rcv_date"){ echo "You must supply a search time."; } ?>
              </td>
            </tr>
          <?php
            }
          ?>
            <tr>
                <th colspan="3" class="midasi">Set Date For Server Living Confirmation</th>
            </tr>
            <tr>
              <td>rcv_date:</td>
              <td>
                <input type="text" id="rcv_date" name="rcv_date" size="40" onblur="rdtchk('rcv_date');">
                  <xsl:attribute name="value"><xsl:value-of select="ServerManager/Header/today"/>%</xsl:attribute>
                </input><br />
                Ex. {yyyy-mm-dd%}{yyyy-mm-dd hh%}
              </td>
              <td align="left">
                <input type="hidden" name="status" value="view_living_mail" />
                <input type="submit" value="Submit" /><br />
              </td>
            </tr>
          </table>
        </form>

        <pre style="font-size:12px;border:1px solid;background-color:#DDDDFF;">
<?php
$buff = <<< EOD
# vi crontab

SHELL=/bin/bash
PATH=/sbin:/bin:/usr/sbin:/usr/bin
MAILTO=root
HOME=/

# run-parts
01 * * * * root run-parts /etc/cron.hourly
02 4 * * * root run-parts /etc/cron.daily
22 4 * * 0 root run-parts /etc/cron.weekly
42 4 1 * * root run-parts /etc/cron.monthly

# Tripwire
0 2 * * * root /root/tripwire.sh > /dev/null 2>&1
# ServerManagerReport
0 7 * * * root /usr/local/bin/php /home/server_manager_std/songxin.php
35 * * * * root /usr/local/bin/php /home/server_manager_std/songduanxin.php


EOD;

//HTMLエスケープ
print htmlspecialchars($buff);

?>
        </pre>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
